commit:     dd2a2c8b547eb3aa14b25ae853adcf34c49c2ac4
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 14:56:04 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 15:10:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd2a2c8b

dev-python/blinker: Add python3.5 support

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/blinker/blinker-1.4.ebuild | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

diff --git a/dev-python/blinker/blinker-1.4.ebuild 
b/dev-python/blinker/blinker-1.4.ebuild
index 8dd8c8d..72c4bc6 100644
--- a/dev-python/blinker/blinker-1.4.ebuild
+++ b/dev-python/blinker/blinker-1.4.ebuild
@@ -2,8 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="5"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
 
 inherit distutils-r1
 
@@ -19,15 +20,10 @@ IUSE="doc test"
 DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests || die "Testing failed with ${EPYTHON}"
+       nosetests -v || die "Testing failed with ${EPYTHON}"
 }
 
 python_install_all() {
+       HTML_DOCS=( docs/html/. )
        distutils-r1_python_install_all
-       if use doc; then
-               pushd docs/html > /dev/null
-               insinto /usr/share/doc/${PF}/html
-               doins -r [a-z]* _static
-               popd > /dev/null
-       fi
 }

Reply via email to